IOSS 2.0

Public Member Functions | Protected Member Functions | List of all members
Ioss::Transform Class Referenceabstract

`#include <Ioss_Transform.h>`

Inheritance diagram for Ioss::Transform:
[legend]

## Public Member Functions
virtual | ~Transform ()
virtual const Ioss::VariableType * | output_storage (const Ioss::VariableType *in) const =0
virtual int | output_count (int in) const =0
bool | execute (const Ioss::Field &field, void *data)
virtual void | set_property (const std::string &name, int value)
virtual void | set_property (const std::string &name, double value)
virtual void | set_properties (const std::string &name, const std::vector< int > &values)
virtual void | set_properties (const std::string &name, const std::vector< double > &values)

## Protected Member Functions
| Transform ()
virtual bool | internal_execute (const Ioss::Field &field, void *data)=0

## Constructor & Destructor Documentation

## ◆ ~Transform()

Ioss::Transform::~Transform | ( |  | ) |
| virtualdefault

## ◆ Transform()

Ioss::Transform::Transform | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ execute()

bool Ioss::Transform::execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |

## ◆ internal_execute()

virtual bool Ioss::Transform::internal_execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |
| protectedpure virtual

Implemented in Iotr::Tensor, Iotr::Scale3D, Iotr::Offset3D, Iotr::Offset, Iotr::Scale, Iotr::MinMax, and Iotr::VectorMagnitude.

## ◆ output_count()

virtual int Ioss::Transform::output_count | ( | int | in | ) | const
| pure virtual

Implemented in Iotr::Tensor, Iotr::Scale3D, Iotr::Offset3D, Iotr::MinMax, Iotr::Offset, Iotr::Scale, and Iotr::VectorMagnitude.

## ◆ output_storage()

virtual const Ioss::VariableType* Ioss::Transform::output_storage | ( | const Ioss::VariableType * | in | ) | const
| pure virtual

Implemented in Iotr::Tensor, Iotr::Scale3D, Iotr::Offset3D, Iotr::MinMax, Iotr::Offset, Iotr::Scale, and Iotr::VectorMagnitude.

## ◆ set_properties() [1/2]

void Ioss::Transform::set_properties | ( | const std::string & | name,
|  | const std::vector< double > & | values
| ) |  |
| virtual

Reimplemented in Iotr::Scale3D, and Iotr::Offset3D.

## ◆ set_properties() [2/2]

void Ioss::Transform::set_properties | ( | const std::string & | name,
|  | const std::vector< int > & | values
| ) |  |
| virtual

Reimplemented in Iotr::Scale3D, and Iotr::Offset3D.

## ◆ set_property() [1/2]

void Ioss::Transform::set_property | ( | const std::string & | name,
|  | double | value
| ) |  |
| virtual

Reimplemented in Iotr::Offset, and Iotr::Scale.

## ◆ set_property() [2/2]

void Ioss::Transform::set_property | ( | const std::string & | name,
|  | int | value
| ) |  |
| virtual

Reimplemented in Iotr::Offset, and Iotr::Scale.

The documentation for this class was generated from the following files:

- src/Ioss_Transform.h
- src/Ioss_Transform.C